updatedb(8)

NUME
updatedb - actualizează o bază de date pentru mlocate

REZUMAT
updatedb [OPȚIUNE]...

DESCRIERE
updatedb creează sau actualizează o bază de date utilizată de locate(1). În cazul în care baza de date există deja, datele sale sunt reutilizate pentru a se evita recitirea directoarelor care nu au fost modificate. updatedb este de obicei rulat zilnic de cron(8) pentru a actualiza baza de date implicită.

STARE DE IEȘIRE
updatedb returnează cu starea de ieșire 0 în caz de succes, 1 în caz de eroare.

OPȚIUNI
Variabilele PRUNE_BIND_MOUNTS, PRUNEFS, PRUNENAMES și PRUNEPATHS, care sunt modificate de unele dintre opțiuni, sunt documentate în detaliu în updatedb.conf(5).

-f, --add-prunefs FS
    Adaugă în PRUNEFS intrările din lista FS separată prin spații albe.

-n, --add-prunenames NUME
    Adaugă în PRUNENAME intrările din lista NUME, separate prin spații albe.

-e, --add-prunepaths RUTE
    Adaugă intrările din lista separată prin spații albe RUTE la PRUNEPATHS.

-U, --database-root RUTĂ
    Stochează în baza de date generată numai rezultatele scanării subarborelui sistemului de fișiere cu rădăcina RUTĂ. În mod implicit, întregul sistem de fișiere este scanat. locate(1) produce intrări ca nume de rute absolute care nu conțin legături simbolice, indiferent de forma RUTEI.

--debug-pruning
    Scrie informații de depanare despre deciziile de reducere la ieșirea de eroare standard.

-h, --help
    Scrie un rezumat al opțiunilor disponibile la ieșirea standard și iese.

-o, --output FIȘIER
    Scrie baza de date în FIȘIER în loc să utilizeze baza de date implicită.

--prune-bind-mounts FANION
    Stabilește PRUNE_BIND_MOUNTS la FANION, suprascriind fișierul de configurare.

--prunefs SISTEM_FIȘIERE
    Stabilește PRUNEFS la SISTEM_FIȘIERE, înlocuind fișierul de configurare.

--prunenames NUME
    Stabilește PRUNENAMES la NUME, înlocuind fișierul de configurare.

--prunepaths RUTE
    Stabilește PRUNEPATHS la RUTE, înlocuind fișierul de configurare.

-l, --require-visibility FANION
    Stabilește fanionul „require file visibility before reporting it” în baza de date generată la FANION. Dacă FANION este 0 sau no, sau dacă fișierul de bază de date poate fi citit de „alții” sau nu este deținut de locate, locate(1) afișează intrările din baza de date chiar dacă utilizatorul care execută locate(1) nu ar fi putut citi directorul necesar pentru a găsi fișierul descris de intrarea din baza de date. Dacă FANION este 1 sau yes (valoarea implicită), locate(1) verifică permisiunile directoarelor părinte ale fiecărei intrări înainte de a o raporta utilizatorului care o invocă. Pentru ca existența fișierului să fie cu adevărat ascunsă de alți utilizatori, grupul bazei de date este stabilit la locate, iar permisiunile bazei de date interzic citirea bazei de date de către utilizatorii care folosesc alte mijloace decât locate(1), care este set-gid locate. Rețineți că indicatorul de vizibilitate este verificat numai dacă baza de date este deținută de locate și nu poate fi citită de „alții”.

-v, --verbose
    Afișează numele rutelor fișierelor la ieșirea standard, de îndată ce sunt găsite.

-V, --version
    Scrie informații despre versiunea și licența lui locate la ieșirea standard și iese.

EXEMPLE
Pentru a crea o bază de date mlocate privată ca utilizator, altul decât root, rulați
    updatedb -l 0 -o fișier-BD -U director-sursă
Rețineți că toți utilizatorii care pot citi fișier-BD pot obține lista completă a fișierelor din subarborele din directorul-sursă.

FIȘIERE

/etc/updatedb.conf
    Un fișier de configurare. A se vedea updatedb.conf(5).

/var/lib/mlocate/mlocate.db
    Baza de date actualizată în mod implicit.

SECURITATE
Bazele de date construite cu --require-visibility no permit utilizatorilor să găsească numele fișierelor și directoarelor altor utilizatori, lucru pe care altfel nu l-ar putea face.

NOTE
Instrumentul asociat locate(1) a fost conceput pentru a fi compatibil cu slocate și încearcă să fie compatibil cu GNU locate acolo unde este posibil. Acesta nu este cazul pentru updatedb.

AUTOR
Miloslav Trmac <mitr@redhat.com>

CONSULTAȚI ȘI
locate(1), mlocate.db(5), updatedb.conf(5)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.